List time-off entries
Returns paginated time-off and bank holiday entries for the authenticated lab. Optionally includes inactive entries. Lab-only endpoint.
Returns paginated time-off and bank holiday entries for the authenticated lab. Optionally includes inactive entries. Lab-only endpoint.
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Query Parameters
includeInactive?||
Default
falsepage?number
Range
1 <= valueDefault
1limit?number
Range
1 <= value <= 100Default
50Response Body
application/json
curl -X GET "https://example.com/calendar/time-off"{ "data": [ { "id": "string", "labId": "string", "name": "string", "startDate": "string", "endDate": "string", "isRecurringAnnually": true, "isBankHoliday": true, "isActive": true, "sortOrder": 0, "createdAt": "string", "updatedAt": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}Empty
Get organization working days GET
Returns the persisted working calendar for the authenticated organization or an explicitly selected active partner lab.
Seed UK bank holidays POST
Populates the lab's calendar with default UK bank holidays. Only seeds if the lab has no existing calendar entries. Lab-only endpoint.